/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_boton_1}", "click", function(sym, e) {
         sym.getSymbol("boton_1").stop("estado_2");
         
         sym.getSymbol("boton_1").getSymbol("card_A2").play();
         
         
         // Mostrar un elemento 
         sym.$("pop_01").show();
         sym.getSymbol("pop_01").play(1);
         
         
         // Ocultar un elemento 
         sym.$("pop_02").hide();
         sym.$("pop_03").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_2}", "click", function(sym, e) {
         sym.getSymbol("boton_2").stop("estado_2");
         
         sym.getSymbol("boton_2").getSymbol("card_B2").play();
         
         sym.getSymbol("boton_2").getSymbol("card_B2").getSymbol("clouds").play();
         
         
         // Mostrar un elemento 
         sym.$("pop_02").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_02").play(1);
         
         
         
         // Ocultar un elemento 
         sym.$("pop_01").hide();
         sym.$("pop_03").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_3}", "click", function(sym, e) {
         sym.getSymbol("boton_3").stop("estado_2");
         
         sym.getSymbol("boton_3").getSymbol("card_C2").play();
         
         // Mostrar un elemento 
         sym.$("pop_03").show();
         sym.getSymbol("pop_03").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_01").hide();
         sym.$("pop_02").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'nubes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 30000, function(sym, e) {
         sym.play("nubes");

      });
      //Edge binding end

   })("nubes");
   //Edge symbol end:'nubes'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'boton_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 934, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("boton_1");
   //Edge symbol end:'boton_1'

   //=========================================================
   
   //Edge symbol: 'card_A1'
   (function(symbolName) {   
   
   })("card_A1");
   //Edge symbol end:'card_A1'

   //=========================================================
   
   //Edge symbol: 'card_A1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 37500, function(sym, e) {
         sym.play("animacion_1");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("card_A2");
   //Edge symbol end:'card_A2'

   //=========================================================
   
   //Edge symbol: 'hero_fly'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play("fly");

      });
      //Edge binding end

   })("hero_fly");
   //Edge symbol end:'hero_fly'

   //=========================================================
   
   //Edge symbol: 'boton_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("boton_2");
   //Edge symbol end:'boton_2'

   //=========================================================
   
   //Edge symbol: 'card_B1'
   (function(symbolName) {   
   
   })("card_B1");
   //Edge symbol end:'card_B1'

   //=========================================================
   
   //Edge symbol: 'card_B1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("card_B2");
   //Edge symbol end:'card_B2'

   //=========================================================
   
   //Edge symbol: 'sun'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4051, function(sym, e) {
         sym.play("sun");

      });
      //Edge binding end

   })("sun");
   //Edge symbol end:'sun'

   //=========================================================
   
   //Edge symbol: 'clouds'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 40000, function(sym, e) {
         sym.play("inicio");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("clouds");
   //Edge symbol end:'clouds'

   //=========================================================
   
   //Edge symbol: 'hero_02'
   (function(symbolName) {   
   
   })("hero_02");
   //Edge symbol end:'hero_02'

   //=========================================================
   
   //Edge symbol: 'boton_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("boton_3");
   //Edge symbol end:'boton_3'

   //=========================================================
   
   //Edge symbol: 'card_C1'
   (function(symbolName) {   
   
   })("card_C1");
   //Edge symbol end:'card_C1'

   //=========================================================
   
   //Edge symbol: 'card_C1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4930, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("card_C2");
   //Edge symbol end:'card_C2'

   //=========================================================
   
   //Edge symbol: 'hero_head'
   (function(symbolName) {   
   
   })("hero_head");
   //Edge symbol end:'hero_head'

   //=========================================================
   
   //Edge symbol: 'hero_body'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 12000, function(sym, e) {
         sym.play("brazos");

      });
      //Edge binding end

   })("hero_body");
   //Edge symbol end:'hero_body'

   //=========================================================
   
   //Edge symbol: 'hero_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10750, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("hero_eyes");
   //Edge symbol end:'hero_eyes'

   //=========================================================
   
   //Edge symbol: 'pop_01'
   (function(symbolName) {   
   
   })("pop_01");
   //Edge symbol end:'pop_01'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_02");
   //Edge symbol end:'pop_02'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
   })("pop_03");
   //Edge symbol end:'pop_03'

})(jQuery, AdobeEdge, "EDGE-94063035");